pappso::FilterOboPsiModTermName Class Reference

`#include <filterobopsimodtermname.h>`

Inheritance diagram for pappso::FilterOboPsiModTermName:

## Public Member Functions

| FilterOboPsiModTermName (OboPsiModHandlerInterface &sink, const QString &name_search)
virtual | ~FilterOboPsiModTermName ()
void | setOboPsiModTerm (const OboPsiModTerm &term) override
| triggered function on each obo term when parsing obo file More...

## Private Attributes

QRegExp | m_nameMatch
OboPsiModHandlerInterface & | m_sink

## Detailed Description

Definition at line 32 of file filterobopsimodtermname.h.

## Constructor & Destructor Documentation

## FilterOboPsiModTermName()

pappso::FilterOboPsiModTermName::FilterOboPsiModTermName | ( | OboPsiModHandlerInterface & | sink,
|  | const QString & | name_search
| ) |  |

Definition at line 28 of file filterobopsimodtermname.cpp.

: m_sink(sink)
{
m_nameMatch.setPattern(QString(name_search).replace("*", "(.*)"));
m_nameMatch.setCaseSensitivity(Qt::CaseInsensitive);
}
pappso::FilterOboPsiModTermName::m_nameMatch
QRegExp m_nameMatch
Definition: filterobopsimodtermname.h:35
pappso::FilterOboPsiModTermName::m_sink
OboPsiModHandlerInterface & m_sink
Definition: filterobopsimodtermname.h:36

References m_nameMatch.

## ~FilterOboPsiModTermName()

pappso::FilterOboPsiModTermName::~FilterOboPsiModTermName | ( |  | ) |

virtual

Definition at line 36 of file filterobopsimodtermname.cpp.

{
}

## Member Function Documentation

## setOboPsiModTerm()

void pappso::FilterOboPsiModTermName::setOboPsiModTerm | ( | const OboPsiModTerm & | term | ) |

override virtual

triggered function on each obo term when parsing obo file

Implements pappso::OboPsiModHandlerInterface.

Definition at line 42 of file filterobopsimodtermname.cpp.

{
// qDebug() << term._psi_mod_label << " " << term._psi_ms_label;
if(m_nameMatch.indexIn(term.m_name) >= 0)
{
m_sink.setOboPsiModTerm(term);
}
}
pappso::OboPsiModHandlerInterface::setOboPsiModTerm
virtual void setOboPsiModTerm(const OboPsiModTerm &term)=0
triggered function on each obo term when parsing obo file

References pappso::OboPsiModTerm::m_name, m_nameMatch, m_sink, and pappso::OboPsiModHandlerInterface::setOboPsiModTerm().

## Member Data Documentation

## m_nameMatch

QRegExp pappso::FilterOboPsiModTermName::m_nameMatch

private

Definition at line 35 of file filterobopsimodtermname.h.

Referenced by FilterOboPsiModTermName(), and setOboPsiModTerm().

## m_sink

OboPsiModHandlerInterface& pappso::FilterOboPsiModTermName::m_sink

private

Definition at line 36 of file filterobopsimodtermname.h.

Referenced by setOboPsiModTerm().

The documentation for this class was generated from the following files:

- pappsomspp/obo/filterobopsimodtermname.h
- pappsomspp/obo/filterobopsimodtermname.cpp